<template>
  <div>
    <h1 class="mb-6">
      Do you have morning or night-time erections?
    </h1>
    <div class="space-y-3">
      <radio-input
        v-for="choice in choices"
        :key="choice"
        :input-value="choice"
        v-model="selected"
      >
        {{ choice }}
      </radio-input>
    </div>
  </div>
</template>

<script>
import RadioInput from "@/components/inputs/RadioInput";
import {answersMixin} from "@/utils/mixins";

export default {
  mixins: [answersMixin],
  name: "YourHealth3",
  components: {RadioInput},
  watch: {
    selected(newVal) {
      this.setAnswer(this.answersKeys.YOUR_HEALTH, newVal, 'stage_3')
      this.$emit('nextStage')
    }
  },
  data() {
    return {
      choices: [
        'Yes',
        'No',
      ],
      selected: null
    }
  }
}
</script>

<style scoped>

</style>
